## ros-one-warehouse-ros-mongo 0.10.0-7jammy.20251023.1121

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(warehouse_ros_mongo)

# Set compile options 
set(PROJECT_COMPILE_OPTIONS 
  -Wall 
  -Wextra 
  -Wpedantic
)

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

find_package(catkin REQUIRED COMPONENTS
  class_loader
  roscpp
  rostest
  rostime
  std_msgs
  warehouse_ros
)
find_package(Boost REQUIRED COMPONENTS system filesystem thread)
find_package(OpenSSL REQUIRED)
find_package(MongoDB REQUIRED)

# At least gcc 7.4 has issues compiling against mongoclient with optimization > 1 enabled.
# In this case, Labeler symbols LT, GT, etc. are null, causing weird results.
if (CMAKE_COMPILER_IS_GNUCC)
  add_compile_options(-O1)
endif()

include(CheckIncludeFileCXX)
check_include_file_cxx("mongo/version.h" HAVE_MONGO_VERSION_H)
if(HAVE_MONGO_VERSION_H)
  add_definitions(-DWAREHOUSE_ROS_MONGO_HAVE_MONGO_VERSION_H)
endif()

set(MONGO_EXPORT)
if("${MongoDB_LIBRARIES}" MATCHES "\\.so$")
  set(MONGO_EXPORT MongoDB)
endif()

file(MAKE_DIRECTORY "${CATKIN_DEVEL_PREFIX}/include")

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp rostime std_msgs
  DEPENDS Boost ${MONGO_EXPORT}
)

if (NOT MongoDB_EXPOSE_MACROS)
  add_definitions(-DMONGO_EXPOSE_MACROS)
endif()

configure_file("include/${PROJECT_NAME}/config.h.in" "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/config.h")

#catkin_lint: ignore_once external_directory  (${CATKIN_DEVEL_PREFIX}/include)
include_directories(${CATKIN_DEVEL_PREFIX}/include include ${catkin_INCLUDE_DIRS} ${MongoDB_INCLUDE_DIR} ${Boost_INCLUDE_DIRS})

set(warehouse_srcs
  src/database_connection.cpp
  src/message_collection.cpp
  src/query_results.cpp)

add_library(${PROJECT_NAME} SHARED ${warehouse_srcs})
target_compile_options(${PROJECT_NAME} PRIVATE ${PROJECT_COMPILE_OPTIONS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${MongoDB_LIBRARIES} ${OPENSSL_LIBRARIES} ${Boost_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  add_executable(test_${PROJECT_NAME}_cpp test/test_${PROJECT_NAME}.cpp)
  target_link_libraries(test_${PROJECT_NAME}_cpp ${PROJECT_NAME} ${GTEST_LIBRARIES})
  add_rostest(test/${PROJECT_NAME}.test)
endif()

catkin_install_python(PROGRAMS scripts/mongo_wrapper_ros.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h")
#catkin_lint: ignore_once external_file
install(FILES "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/config.h"
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES mongo_database_connection_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-warehouse-ros-mongo (0.10.0-7jammy.20251023.1121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 23 Oct 2025 11:21:23 +0000

ros-one-warehouse-ros-mongo (0.10.0-0jammy) jammy; urgency=high

  * clang-format-10
  * Python3 compatibility layer for roslaunch in CMake (#35 <https://github.com/ros-planning/warehouse_ros_mongo/issues/35>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.9.2-0jammy) jammy; urgency=high

  * Proper cmake test for mongo/version.h
  * Bump cmake version to 3.0.2
  * ROS test: Start mongodb
  * mongo_wrapper_ros.py: Handle permission errors creating database path
  * python3 syntax compatibility
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.9.1-0jammy) jammy; urgency=high

  * Initialize mongo client only once (#28 <https://github.com/ros-planning/warehouse_ros_mongo/issues/28>)
  * Restore mongod python wrapper
  * Contributors: Masaki Murooka, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 28 Sep 2019 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.9.0-0jammy) jammy; urgency=high

  * Use std pointers
  * Fix catkin issues
  * Refactored Warehouse ROS for pluginlib
  * Contributors: Christian Rauch, Connor Brew, Dave Coleman, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 14 Aug 2019 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.8-0jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.5-0jammy) jammy; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.4-0jammy) jammy; urgency=high

  * update how we find MongoDB

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.2-0jammy) jammy; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.1-0jammy) jammy; urgency=high

  * fix linking issues (missing SSL symbols) in deps, undef defined macros

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-warehouse-ros-mongo
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libmongoclient-dev, ros-one-catkin, ros-one-class-loader, ros-one-roscpp, ros-one-rostime, ros-one-std-msgs, ros-one-warehouse-ros
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-one-warehouse-ros-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-class-loader, ros-one-roscpp, ros-one-rostime, ros-one-std-msgs, ros-one-warehouse-ros
Description: warehouse_ros for MongoDB

## ros-one-warehouse-ros-mongo 0.10.0-7jammy.20251207.2347

=== debian/changelog ===
ros-one-warehouse-ros-mongo (0.10.0-7jammy.20251207.2347) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 07 Dec 2025 23:47:39 +0000

## ros-one-warehouse-ros-mongo 0.10.0-7jammy.20260221.2242

=== debian/changelog ===
ros-one-warehouse-ros-mongo (0.10.0-7jammy.20260221.2242) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 21 Feb 2026 22:42:39 +0000

## ros-one-warehouse-ros-mongo 0.10.0-7noble.20251023.1147

=== debian/changelog ===
ros-one-warehouse-ros-mongo (0.10.0-7noble.20251023.1147) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 23 Oct 2025 11:47:53 +0000

ros-one-warehouse-ros-mongo (0.10.0-0noble) noble; urgency=high

  * clang-format-10
  * Python3 compatibility layer for roslaunch in CMake (#35 <https://github.com/ros-planning/warehouse_ros_mongo/issues/35>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.9.2-0noble) noble; urgency=high

  * Proper cmake test for mongo/version.h
  * Bump cmake version to 3.0.2
  * ROS test: Start mongodb
  * mongo_wrapper_ros.py: Handle permission errors creating database path
  * python3 syntax compatibility
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.9.1-0noble) noble; urgency=high

  * Initialize mongo client only once (#28 <https://github.com/ros-planning/warehouse_ros_mongo/issues/28>)
  * Restore mongod python wrapper
  * Contributors: Masaki Murooka, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 28 Sep 2019 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.9.0-0noble) noble; urgency=high

  * Use std pointers
  * Fix catkin issues
  * Refactored Warehouse ROS for pluginlib
  * Contributors: Christian Rauch, Connor Brew, Dave Coleman, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 14 Aug 2019 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.8-0noble) noble; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.5-0noble) noble; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.4-0noble) noble; urgency=high

  * update how we find MongoDB

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.2-0noble) noble; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros-mongo (0.8.1-0noble) noble; urgency=high

  * fix linking issues (missing SSL symbols) in deps, undef defined macros

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-warehouse-ros-mongo//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-warehouse-ros-mongo 0.10.0-7noble.20251208.1040

=== debian/changelog ===
ros-one-warehouse-ros-mongo (0.10.0-7noble.20251208.1040) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 08 Dec 2025 10:40:25 +0000

## ros-one-warehouse-ros-mongo 0.10.0-7noble.20260221.2343

=== debian/changelog ===
ros-one-warehouse-ros-mongo (0.10.0-7noble.20260221.2343) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 21 Feb 2026 23:43:44 +0000
